# Update the settings for an affiliate’s current payout

| HTTP method | Endpoint                                           |
| ----------- | -------------------------------------------------- |
| **PATCH**   | **/v1/affiliate\_payouts/{affiliate\_payout\_id}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter             | Description                        |
| --------------------- | ---------------------------------- |
| affiliate\_payout\_id | The unique id for the payout.      |
| current\_payout       | The current payout for the payout. |
| percent\_payout       | The percent payout for the payout. |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field           | Type    | Description    |
| --------------- | ------- | -------------- |
| id              | integer | payout\_id     |
| offer\_id       | integer |                |
| affiliate\_id   | integer |                |
| event\_id       | integer | Event id.      |
| current\_payout | string  | Payout         |
| percent\_payout | string  | Percent payout |
| create\_time    | string  | Creat time.    |

## Example request <a href="#example-request" id="example-request"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/affiliate_payouts/100?current_payout=89>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/affiliate_payouts/100?current_payout=89>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_payout": {
          "id": 100,
          "offer_id": 1,
          "affiliate_id": 4970,
          "event_id": 1,
          "current_payout": "89",
          "percent_payout": "-1",
          "create_time": 1460427520
        }
      }
    }
```
